<?php
include_once 'classes/TestProjektSmarty.class.php';
require_once("config.inc.php");
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
$smarty = new Smarty();
require_once "language/german.inc.php";

require_once("func_mail_einstell.php");

$action = $_GET['action'];
if(isset($_GET['id'])){
  $_SESSION["status_id"] = $_GET['id'];
}
$status = $_SESSION["status_id"];


if($action == ''){
    
    # Verfügbare Ausschussmitglieder
    $query1 = "SELECT imtuid, vorname, nachname
                FROM imt_user
               WHERE imtuid not in (select imtuid from imt_rollen_user_zuord where roid in(4,5))
               ";
  
    $result1 = $db->query ($query1)
              or die ("Cannot execute query1");
    
    $table_data1 = array();
      
    while ($row1 = $result1->fetch_array()){

      array_push($table_data1, array(  
       'imtuid' => $row1['imtuid'],
       'vorname' => $row1['vorname'],
       'nachname' => $row1['nachname']
      )
      );
    }
    $smarty->assign('table_data1', $table_data1);
    
    # Ausschussmitglieder, die noch nicht vertreten werden
    $query2a = "SELECT a.imtuid, vorname, nachname
                  FROM imt_user a, imt_rollen_user_zuord b
                 WHERE a.imtuid=b.imtuid
                   AND b.roid=4
                   AND a.imtuid not in (SELECT imtuid_mitglied FROM imt_ausschuss_vertreter)";
  
    $result2a = $db->query ($query2a)
              or die ("Cannot execute query2a");
    
    $table_data2a = array();
      
    while ($row2a = $result2a->fetch_array()){

      array_push($table_data2a, array(
       'imtuid' => $row2a['imtuid'],
       'vorname' => $row2a['vorname'],
       'nachname' => $row2a['nachname']
      )
      );
    }
    $smarty->assign('table_data2a', $table_data2a);
    
    # Alle Ausschussmitglieder
    $query2b = "SELECT a.imtuid, vorname, nachname
                FROM imt_user a, imt_rollen_user_zuord b
               WHERE a.imtuid=b.imtuid
                 AND b.roid=4";
  
    $result2b = $db->query ($query2b)
              or die ("Cannot execute query2b");
    
    $table_data2b = array();
      
    while ($row2b = $result2b->fetch_array()){

      array_push($table_data2b, array(
       'imtuid' => $row2b['imtuid'],
       'vorname' => $row2b['vorname'],
       'nachname' => $row2b['nachname']
      )
      );
    }
    $smarty->assign('table_data2b', $table_data2b);
    
    # Ausschussmitglieder welche vertreten werdne
    $query3 = "SELECT a.imtuid, vorname, nachname
                FROM imt_user a, imt_rollen_user_zuord b
               WHERE a.imtuid=b.imtuid
                 AND b.roid=5";
  
    $result3 = $db->query ($query3)
              or die ("Cannot execute query3");
    
    $table_data3 = array();
      
    while ($row3 = $result3->fetch_array()){

      $result_vervon = $db->query("SELECT imtuid, vorname, nachname
                               FROM imt_user a, imt_ausschuss_vertreter b
                              WHERE a.imtuid = b.imtuid_mitglied
                                AND imtuid_vertreter=$row3[imtuid]
                            ");
      $row_vervon = $result_vervon->fetch_array();

      array_push($table_data3, array(
       'imtuid' => $row3['imtuid'],
       'vorname' => $row3['vorname'],
       'nachname' => $row3['nachname'],
       'ver_von_vorname' => $row_vervon['vorname'],
       'ver_von_nachname' => $row_vervon['nachname']
      )
      );
    }
    $smarty->assign('table_data3', $table_data3);

}

if($action == 'step2'){

  
  # Ausschussmitglied bzw Vertreter, je nachdem ob Häkchen gesetzt wurde
  if(isset($_POST["mitglied"])){
    $mitglied = $_POST["mitglied"];
  }
  
  # Häkchen, dann Vertreter des Ausschussmitglied
  if(isset($_POST["vertreter"])){
    $vertreter = $_POST["vertreter"];
  }
  
  # Bei Häkchen, wen vertritt der Vertreter
  if(isset($_POST["vertreten_von"])){
    $vertreten_von = $_POST["vertreten_von"];
  }
  
  # Wenn ein Mitglied ausgewählt wurde
  if(isset($mitglied)){
    
    # Wenn es sich nicht um einen Vertreter handelt
    if(!isset($vertreter)){
        $db = dbconnect();
        $sql1 = $db->query("INSERT INTO imt_rollen_user_zuord ( roid
                                                       , imtuid
                                                       )
                             VALUES
                                                       ( '4'
                                                       , '$mitglied'
                                                       )
                           ");
       
        # Mail an neues Ausschussmitglied
        $empfaenger = "$mitglied";
        $betreff = "Benennung zum Ausschussmitglied";
        $text = "
          <html>
          <head>
          <title>Benennung zum Ausschussmitglied</title>
          </head>
          <body>
          <font face='Arial' size='2'>
          Sehr geehrte Damend und Herren,
          <br /><br />
          Sie wurden im Ideenmanagement-System zum Mitglied im Ausschuss/Idee benannt.
          <br />
          Sie k&ouml;nnen sich hier anmelden: https://www.hs-ludwigsburg.de/idee
          <br />
          <br />
          Bei Fragen wenden Sie sich bitte an den <a href=\"mailto:$global_service_mail?subject=Bestellung zum Ausschussmitglied\">Qualit&auml;tsmanagementbeauftragten.</a>
          <p>
          Diese Mail wurde automatisch generiert!<br />
          Antworten Sie daher nicht auf diese Mail.<br />
          <br />
          Vielen Dank!
          </body>
          </html>";
      
          # VorschlagsID vid, Admin, an, cc, bcc, betreff, body, status, verlauf_status, verlauf_body
          mail_einstell(0, $uid, $empfaenger, NULL, NULL, $betreff, $text, 0, NULL);
    }
    
    # Wenn es sich um einen Vertreter handelt und noch nicht alle Ausschussmitglieder vertreten sind
    if(isset($vertreter) AND $vertreten_von != ''){

        $sql2 = $db->query("INSERT INTO imt_rollen_user_zuord ( roid
                                                       , imtuid
                                                       )
                             VALUES
                                                       ( '5'
                                                       , '$mitglied'
                                                       )
                           ");
        $sql3 = $db->query("INSERT INTO imt_ausschuss_vertreter ( imtuid_mitglied
                                                       , imtuid_vertreter
                                                       )
                             VALUES
                                                       ( '$vertreten_von'
                                                       , '$mitglied'
                                                       )
                           ");
        $result_vervon = $db->query("SELECT vorname, nachname
                                        FROM imt_user
                                       WHERE imtuid=$vertreten_von
                              ");
        $row_vervon = $result_vervon->fetch_array();
        
        # Mail an neues Ausschussmitglied
        $empfaenger = "$mitglied";
        $betreff = "Benennung zur Vertretung eines Ausschussmitglieds";
        $text = "
          <html>
          <head>
          <title>Benennung zur Vertretung eines Ausschussmitglieds</title>
          </head>
          <body>
          <font face='Arial' size='2'>
          Sehr geehrte Damend und Herren,
          <br /><br />
          Sie wurden im Ideenmanagement-System zur Vertretung des Mitglieds $row_vervon[vorname] $row_vervon[nachname] im Ausschuss/Idee benannt.
          
          <br />
          Sie k&ouml;nnen sich hier anmelden: https://www.hs-ludwigsburg.de/idee
          <br />
          <br />
          Bei Fragen wenden Sie sich bitte an den <a href=\"mailto:$global_service_mail?subject=Bestellung zum Ausschussmitglied\">Qualit&auml;tsmanagementbeauftragten.</a>
          <p>
          Diese Mail wurde automatisch generiert!<br />
          Antworten Sie daher nicht auf diese Mail.<br />
          <br />
          Vielen Dank!
          </body>
          </html>";
      
          # VorschlagsID vid, Admin, an, cc, bcc, betreff, body, status, verlauf_status, verlauf_body
          mail_einstell(0, $uid, $empfaenger, NULL, NULL, $betreff, $text, 0, NULL);
          
    }
    
  }
  echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."\">";

}


if($action == 'step3'){
  $rolle = $_GET['rolle'];
  $imtuid = $_GET['imtuid'];
  
  # Wenn ein Ausschussmitglied gelöscht wird
  # Dann auch den Vertreter
  if($rolle == 4){
    
    $db = dbconnect();
    
    #Vertreter bestimmen
    $result_vervon = $db->query("SELECT imtuid_vertreter
                                    FROM imt_ausschuss_vertreter
                                   WHERE imtuid_mitglied=$imtuid
                          ");
    $row_vervon = $result_vervon->fetch_array();
    
    $del2 = $db->query("DELETE FROM imt_ausschuss_vertreter WHERE imtuid_vertreter = $row_vervon[imtuid_vertreter] AND imtuid_mitglied=$imtuid");
    $del1 = $db->query("DELETE FROM imt_rollen_user_zuord WHERE imtuid = $row_vervon[imtuid_vertreter] AND roid=5");
    $del3 = $db->query("DELETE FROM imt_rollen_user_zuord WHERE imtuid = $imtuid AND roid=4");
   
    
  }
  
  # Wenn ein Vertreter gelöscht wird
  if($rolle == 5){
    
    $db = dbconnect();
   
   
    $del4 = $db->query("DELETE FROM imt_ausschuss_vertreter WHERE imtuid_vertreter = $imtuid");
    $del5 = $db->query("DELETE FROM imt_rollen_user_zuord WHERE imtuid = $imtuid AND roid=5");
  }
  
  echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."\">";
  
}

$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");

?>